extends layout

block content
    .container-fluid
        nav.navbar.navbar-expand-md.bg-dark.navbar-dark.sticky-top
            a.navbar-brand(href='/') MovieRama
            button.navbar-toggler.navbar-toggler-right(type='button' data-toggle='collapse' data-target='#navb' aria-expanded='true')
                span.navbar-toggler-icon
            #navb.navbar-collapse.collapse.hide
                ul.nav.navbar-nav.ml-auto
                    if (user)
                        li.nav-item
                            a.nav-link
                                span#user.fas.fa-user(userID=user._id)
                                |  Welcome #{user.name}
                        li.nav-item
                            a.nav-link(href='/logout')
                                span.fas.fa-sign-out-alt
                                |  Logout
                    else
                        li.nav-item
                            a.nav-link(href='/register')
                                span#user.fas.fa-user
                                |  Sign Up
                        li.nav-item
                            a.nav-link(href='/login')
                                span.fas.fa-sign-out-alt
                                |  Login
        .d-flex.flex-row.row.no-gutters.mt-2.p-1.sortingLine.border.border-primary.rounded.bg-light
            .p-2 Sort by:
            a.sortingMethod.p-2.border-right(href=(filter != null) ? ('/order/likes/' + filter) : '/order/likes/') Likes
            a.sortingMethod.p-2.border-right(href=(filter != null) ? ('/order/hates/' + filter) : '/order/hates/') Hates
            a.sortingMethod.p-2(href=(filter != null) ? ('/order/date/' + filter) : '/order/date/') Date
        .container
            #movieContent.row.no-gutters.mt-4
                if (user)
                    button#modalButton(data-toggle="modal" data-target="#addMovieModal") +
                    #addMovieModal.modal.fade(tabindex='-1' role='dialog' aria-labelledby='addMovieModalLabel' aria-hidden='true')
                        .modal-dialog.modal-dialog-centered(role='document')
                            .modal-content
                                form(action="/addMovie",method="post")
                                    .modal-header
                                        h5#addMovieModalLabel.modal-title.text-center Add new movie
                                        button.close(type='button' data-dismiss='modal' aria-label='Close')
                                            span(aria-hidden='true') &times;
                                    .modal-body
                                        .form-group
                                            label(for='addMovieTitleModal') Movie Title
                                            input#addMovieTitleModal.form-control(type='text' name='title' placeholder='Movie Title' required='')
                                        .form-group
                                            label(for='addMovieDescription') Description
                                            textarea#addMovieDescription.form-control(rows='3' name='description' required='')
                                    .modal-footer
                                        button.btn.btn-secondary(type="button" data-dismiss="modal") Close
                                        button.btn.btn-primary(type="submit") Save Movie
                #cardColumns.card-columns.col-12
                    each movie in movies
                        .card
                            .card-body
                                h5.card-title.text-center #{movie.title}
                                h6.card-subtitle.mb-2.text-muted.text-center
                                    span Created by
                                    span.pl-1
                                        a(href='/filter/' + movie.user._id) #{movie.user.name}
                                    time.pl-1.timeago(datetime=movie.createdAt)
                                p.card-text #{movie.description}
                                .row.no-gutters(id=movie._id)
                                    if (user)
                                        .col-4.col-sm-3.col-md-2.vote.like.p-2.mr-1.like.text-center(class=(user.likes.includes(movie._id) ? "active" : ""), class=(user.movies.includes(movie._id) ? 'disabled' : ''))
                                            i.far.fa-thumbs-up(aria-hidden="true")
                                            span.likes #{movie.likes.length}
                                        .col-4.col-sm-3.col-md-2.vote.hate.p-2.mr-1.text-center(class=(user.dislikes.includes(movie._id) ? "active" : ""), class=(user.movies.includes(movie._id) ? 'disabled' : ''))
                                            i.far.fa-thumbs-down(aria-hidden="true")
                                            span.dislikes #{movie.dislikes.length}
                                    else
                                        .col-4.col-sm-3.col-md-2.vote.like.p-2.mr-1.like.text-center.disabled
                                            i.far.fa-thumbs-up(aria-hidden="true")
                                            span.likes #{movie.likes.length}
                                        .col-4.col-sm-3.col-md-2.vote.hate.p-2.mr-1.text-center.disabled
                                            i.far.fa-thumbs-down(aria-hidden="true")
                                            span.dislikes #{movie.dislikes.length}
